unit uploadServiceImplementation;

interface

uses
  XData.Server.Module,
  XData.Service.Common,
  uploadService,System.Json,System.Classes;

type
  [ServiceImplementation]
  TuploadService = class(TInterfacedObject, IuploadService)
  private
    function Sum(A, B: double): double;
    function EchoString(Value: string): string;
  end;

implementation



function TuploadService.Sum(A, B: double): double;
begin
  Result := A + B;
end;

function TuploadService.EchoString(Value: string): string;
begin
  Result := Value;
end;

initialization
  RegisterServiceType(TuploadService);

end.
